#
# spec file for package perl-Games-GuessWord (Version 0.16)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Games-GuessWord
Version:        0.16
Release:        3.1
License:        GPL+ or Artistic
%define cpan_name Games-GuessWord
Summary:        Guess the letters in a word (ie Hangman)
Url:            http://search.cpan.org/dist/Games-GuessWord/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/L/LB/LBROCARD/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Simple)
Requires:       perl(Test::Simple)
%{perl_requires}

%description
This module is a simple wrapper around a word guessing game. You have to
guess the word by guessing letters in the word, and is otherwise known as
Hangman.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README

%changelog
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.16
  * created by cpanspec 1.78.04
